[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: OpenLogos install problem

Manuel Souto Pico wrote:
$ java -version
java version "1.5.0_05"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_05-b05)
Java HotSpot(TM) Client VM (build 1.5.0_05-b05, mixed mode, sharing)
Does that look like I've got J2SE installed?

It does. To make sure, check also "javac -version". If it works - you have Java installed.

if you install it in /opt/java/jdk1.5.0_08 set this as --with-java

However, I'm not sure I understand. J2SE is like a full version of JRE (the version of java you need to run applications, which is what I want to do), isn't it? But jdk looks like the development kit. What am I missing?

JRE just allows Java programs to execute (iterprets Java VM), but J2SE (or J2SDK or development kit) allows also to compile from Java programs into Java VM code.

Mladen Adamovic
http://www.online-utility.org http://www.cheapvps.info

Reply to: